Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.beans
Class AbleDBExportBeanInfo

    java.lang.Object
      java.beans.SimpleBeanInfo
          com.ibm.able.beans.AbleDBExportBeanInfo

All Implemented Interfaces:
  java.beans.BeanInfo

public class AbleDBExportBeanInfo
extends java.beans.SimpleBeanInfo

Provide the information for the AbleDBImport bean.

Field Summary
`java.lang.String` | `iconColor16x16Filename`
`java.lang.String` | `iconColor32x32Filename`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`AbleDBExportBeanInfo()`

Method Summary
`java.beans.BeanInfo[]` | `getAdditionalBeanInfo()`
`java.beans.BeanDescriptor` | `getBeanDescriptor()` Retrieve a descriptor for this bean.
`java.beans.EventSetDescriptor[]` | `getEventSetDescriptors()`
`java.awt.Image` | `getIcon(int iconKind)`
`java.beans.PropertyDescriptor[]` | `getPropertyDescriptors()`

Methods inherited from class java.beans.SimpleBeanInfo
`getDefaultEventIndex, getDefaultPropertyIndex, getMethodDescriptors, loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iconColor16x16Filename

    public java.lang.String iconColor16x16Filename

### iconColor32x32Filename

    public java.lang.String iconColor32x32Filename

Constructor Detail

### AbleDBExportBeanInfo

    public AbleDBExportBeanInfo()

Method Detail

### getBeanDescriptor

    public java.beans.BeanDescriptor getBeanDescriptor()

  Retrieve a descriptor for this bean.

  Returns:
    A bean descriptor which specifies a customizer for this bean class.

### getPropertyDescriptors

    public java.beans.PropertyDescriptor[] getPropertyDescriptors()

### getEventSetDescriptors

    public java.beans.EventSetDescriptor[] getEventSetDescriptors()

### getIcon

    public java.awt.Image getIcon(int iconKind)

### getAdditionalBeanInfo

    public java.beans.BeanInfo[] getAdditionalBeanInfo()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005